Bug 1889852 - support new AWS regions ap-east-1, af-south-1, eu-south-1
Summary: support new AWS regions ap-east-1, af-south-1, eu-south-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Micah Abbott
QA Contact: Yunfei Jiang
URL:
Whiteboard:
Depends On:
Blocks: 1889855
TreeView+ depends on / blocked
 
Reported: 2020-10-20 17:24 UTC by Micah Abbott
Modified: 2021-02-24 15:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Support installation into new AWS regions. Reason: Customers want more flexibility when deciding where to install their clusters. Result: Customers are now able to install clusters in ap-east-1, af-south-1, and eu-south-1 regions of AWS.
Clone Of:
: 1889855 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:27:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4288 0 None closed Bug 1889852: add new AWS regions 2021-01-07 19:59:45 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:37 UTC

Description Micah Abbott 2020-10-20 17:24:14 UTC
See RFEs requesting support for new AWS regions:  ap-east-1 af-south-1 eu-south-1

https://issues.redhat.com/browse/RFE-903
https://issues.redhat.com/browse/RFE-1267

This BZ will be used to bump the installer boot image once the 4.7 AMIs are built and copied to those regions.

Comment 1 Micah Abbott 2020-10-20 17:25:19 UTC
MR to add regions - https://gitlab.cee.redhat.com/openshift-art/rhcos-upshift/-/merge_requests/209

Comment 2 Micah Abbott 2020-10-21 13:56:10 UTC
Adding the UpcomingSprint label in case this doesn't get resolved by the end of our Sprint.

Comment 3 Micah Abbott 2020-10-21 19:39:08 UTC
@kdube suggested I move this BZ to the Installer component.

The changes are already in flight in the PR, but this way the Installer QE can verify that everything works as expected in the new regions.

Comment 5 Yunfei Jiang 2020-10-27 02:24:08 UTC
verified. PASS.
version: 4.7.0-0.nightly-2020-10-24-155529

Comment 8 errata-xmlrpc 2021-02-24 15:27:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.